Package ghidra.framework.plugintool

# Class ServiceProviderStub

java.lang.Object
ghidra.framework.plugintool.ServiceProviderStub

All Implemented Interfaces:
  `ServiceProvider`

public class ServiceProviderStub extends Object implements ServiceProvider

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceProviderStub()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addServiceListener(ServiceListener listener)`
  Adds a listener that will be called as services are added and removed from this ServiceProvider.
  `<T> T`
  `getService(Class<T> serviceClass)`
  Returns the Service object that implements the given service interface.
  `void`
  `removeServiceListener(ServiceListener listener)`
  Removes the given listener from this ServiceProvider.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServiceProviderStub

    public ServiceProviderStub()

- ## Method Details

  - ### getService

    public <T> T getService(Class<T> serviceClass)
    Description copied from interface: `ServiceProvider`
    Returns the Service object that implements the given service interface.
    Specified by:
      `getService` in interface `ServiceProvider`
    Parameters:
      `serviceClass` - the interface class.

  - ### addServiceListener

    public void addServiceListener(ServiceListener listener)
    Description copied from interface: `ServiceProvider`
    Adds a listener that will be called as services are added and removed from this ServiceProvider.
    Specified by:
      `addServiceListener` in interface `ServiceProvider`
    Parameters:
      `listener` - The listener to add.

  - ### removeServiceListener

    public void removeServiceListener(ServiceListener listener)
    Description copied from interface: `ServiceProvider`
    Removes the given listener from this ServiceProvider. This method does nothing if the given listener is not contained by this ServiceProvider.
    Specified by:
      `removeServiceListener` in interface `ServiceProvider`